Subject: [os2genau_digest] No. 749
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 15 Dec 2003 00:04:01 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Sunday 14 December 2003
 Number  749
**************************************************

Subjects for today
 
1  Re:  Java 1.42 : Ed Durrant <edurrant at bigpond dot net dot au>
2  Re:  Java 1.42 : Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
3  Re:  Java 1.42 : Ed Durrant <edurrant at bigpond dot net dot au>
4  Re:  Java 1.42 : Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
5  Re:  Java 1.42 : Ed Durrant <edurrant at bigpond dot net dot au>
6  Re:  Java 1.42 : Alan Duval" <amoht at ozemail dot com dot au>

**= Email   1 ==========================**

Date:  Sun, 14 Dec 2003 06:57:11 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Java 1.42

Hi Alan,

  It sounds like there's omething wrong with your Mozilla install. You don't mention which version of Mozilla you
have installed, some need an additional (libc.dll) dll to work. Did yoy do a clean install of Mozilla or do you
still have other versions on the system - this can also cause these types of problems.

  The best place to ask these questions is the warpbrowsers at yahoogroups dot com list.

Cheers/2

Ed.

Alan Duval wrote:

> On Fri, 12 Dec 2003 20:03:42 +1100, Ed Durrant wrote:
>
> >I have installed this version of JAVA and am using it. NO path statements are required in config.sys as long
> as
> >you refer to the correct directory when running JAVAW.EXE. What is needed in config.sys however is the
> following
> >line:
> >
> >SET JAVA2_USERHOME=c:\java142\bin
> >
> >Which the install procedure should have installed.
>
> It wasn't installed so I put the line in config.sys
>
> I have also followed the following instructions:
>
> 3.1 Java Plug-In Installation
> In order to install support for the Java
> Plug-In in Mozilla for OS/2 or IBM Web Browser
> for OS/2, copy the following files from the
> JRE bin directory to the plugins directory of
> the browser:
>
> - npj2.dll
> - npj2_j11.dll
> - npj2_j12.dll
> - npj2_j13.dll
> - npj2_j14.dll
> - npj2_j32.dll
> - npj2_jpi.dll
>
> 3.2 Java Web Start Browser Configuration
> In order to integrate Java Web Start with your browser,
> you have to register it as a helper application. Due to
> the various browser products and versions available on
> OS/2, this is not done automatically during installation.
>
> In the browser settings, open the helper application
> settings and define a new type. Use the following
> values to define the entry:
>
> Description of type: Java Web Start
> File Extension: jnl jnlp
> MIME type: application/x-java-jnlp-file
> Application to use: <installdir>\jre\javaws\javaws.exe
>
> Note that when installing the JRE, javaws.exe will
> be located at <installdir>\javaws\javaws.exe.
>
>
> However when I try to start Mozilla, the initial screen with start button appears momentarily and then vanishes
> and so Mozilla cannot be started.
> If I remove the 7 files from Mozilla Plugins I can start Mozilla.
>
> Any ideas what I should do?
>
> Alan
>

>  

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sun, 14 Dec 2003 14:43:38 +1000
From:  "Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
Subject:  Re:  Java 1.42

Hio Ed and Allan,

I have installed Mozilla 1.5 THREE times, on 3 machines and tried to get 
Java 1.42 working exactly like Allan.  ie Copying npj2*.dll

I have given up.

The Innotek instructions just don't work.

Mozilla does work though with Java 1.31 and that's enough for my needs
at this point in time.

Regards,
Robert Traynor (BobT).
14 December 2003   14:43

On Sun, 14 Dec 2003 06:57:11 +1100, Ed Durrant wrote:
> Hi Alan,
> 
>   It sounds like there's omething wrong with your Mozilla install. You don't mention which version of Mozilla you
> have installed, some need an additional (libc.dll) dll to work. Did yoy do a clean install of Mozilla or do you
> still have other versions on the system - this can also cause these types of problems.
> 
>   The best place to ask these questions is the warpbrowsers at yahoogroups dot com list.
> 
> Cheers/2
> 
> Ed.
> 
> Alan Duval wrote:
> 
> > On Fri, 12 Dec 2003 20:03:42 +1100, Ed Durrant wrote:
> >
> > >I have installed this version of JAVA and am using it. NO path statements are required in config.sys as long
> > as
> > >you refer to the correct directory when running JAVAW.EXE. What is needed in config.sys however is the
> > following
> > >line:
> > >
> > >SET JAVA2_USERHOME=c:\java142\bin
> > >
> > >Which the install procedure should have installed.
> >
> > It wasn't installed so I put the line in config.sys
> >
> > I have also followed the following instructions:
> >
> > 3.1 Java Plug-In Installation
> > In order to install support for the Java
> > Plug-In in Mozilla for OS/2 or IBM Web Browser
> > for OS/2, copy the following files from the
> > JRE bin directory to the plugins directory of
> > the browser:
> >
> > - npj2.dll
> > - npj2_j11.dll
> > - npj2_j12.dll
> > - npj2_j13.dll
> > - npj2_j14.dll
> > - npj2_j32.dll
> > - npj2_jpi.dll
> >
> > 3.2 Java Web Start Browser Configuration
> > In order to integrate Java Web Start with your browser,
> > you have to register it as a helper application. Due to
> > the various browser products and versions available on
> > OS/2, this is not done automatically during installation.
> >
> > In the browser settings, open the helper application
> > settings and define a new type. Use the following
> > values to define the entry:
> >
> > Description of type: Java Web Start
> > File Extension: jnl jnlp
> > MIME type: application/x-java-jnlp-file
> > Application to use: <installdir>\jre\javaws\javaws.exe
> >
> > Note that when installing the JRE, javaws.exe will
> > be located at <installdir>\javaws\javaws.exe.
> >
> >
> > However when I try to start Mozilla, the initial screen with start button appears momentarily and then vanishes
> > and so Mozilla cannot be started.
> > If I remove the 7 files from Mozilla Plugins I can start Mozilla.
> >
> > Any ideas what I should do?
> >
> > Alan

   ,-._|\       Robert Traynor        (BobT)
 /  Oz  \      email            rtraynor at removeme.optusnet dot com dot au
 \_,--.x/ 

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sun, 14 Dec 2003 15:30:42 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Java 1.42

Robert, did you download and install libc04.zip ???

Cheers/2

Ed.

"Robert Traynor (BobT)" wrote:

> Hio Ed and Allan,
>
> I have installed Mozilla 1.5 THREE times, on 3 machines and tried to get
> Java 1.42 working exactly like Allan.  ie Copying npj2*.dll
>
> I have given up.
>
> The Innotek instructions just don't work.
>
> Mozilla does work though with Java 1.31 and that's enough for my needs
> at this point in time.
>
> Regards,
> Robert Traynor (BobT).
> 14 December 2003   14:43
>
> On Sun, 14 Dec 2003 06:57:11 +1100, Ed Durrant wrote:
> > Hi Alan,
> >
> >   It sounds like there's omething wrong with your Mozilla install. You don't mention which version of Mozilla you
> > have installed, some need an additional (libc.dll) dll to work. Did yoy do a clean install of Mozilla or do you
> > still have other versions on the system - this can also cause these types of problems.
> >
> >   The best place to ask these questions is the warpbrowsers at yahoogroups dot com list.
> >
> > Cheers/2
> >
> > Ed.
> >
> > Alan Duval wrote:
> >
> > > On Fri, 12 Dec 2003 20:03:42 +1100, Ed Durrant wrote:
> > >
> > > >I have installed this version of JAVA and am using it. NO path statements are required in config.sys as long
> > > as
> > > >you refer to the correct directory when running JAVAW.EXE. What is needed in config.sys however is the
> > > following
> > > >line:
> > > >
> > > >SET JAVA2_USERHOME=c:\java142\bin
> > > >
> > > >Which the install procedure should have installed.
> > >
> > > It wasn't installed so I put the line in config.sys
> > >
> > > I have also followed the following instructions:
> > >
> > > 3.1 Java Plug-In Installation
> > > In order to install support for the Java
> > > Plug-In in Mozilla for OS/2 or IBM Web Browser
> > > for OS/2, copy the following files from the
> > > JRE bin directory to the plugins directory of
> > > the browser:
> > >
> > > - npj2.dll
> > > - npj2_j11.dll
> > > - npj2_j12.dll
> > > - npj2_j13.dll
> > > - npj2_j14.dll
> > > - npj2_j32.dll
> > > - npj2_jpi.dll
> > >
> > > 3.2 Java Web Start Browser Configuration
> > > In order to integrate Java Web Start with your browser,
> > > you have to register it as a helper application. Due to
> > > the various browser products and versions available on
> > > OS/2, this is not done automatically during installation.
> > >
> > > In the browser settings, open the helper application
> > > settings and define a new type. Use the following
> > > values to define the entry:
> > >
> > > Description of type: Java Web Start
> > > File Extension: jnl jnlp
> > > MIME type: application/x-java-jnlp-file
> > > Application to use: <installdir>\jre\javaws\javaws.exe
> > >
> > > Note that when installing the JRE, javaws.exe will
> > > be located at <installdir>\javaws\javaws.exe.
> > >
> > >
> > > However when I try to start Mozilla, the initial screen with start button appears momentarily and then vanishes
> > > and so Mozilla cannot be started.
> > > If I remove the 7 files from Mozilla Plugins I can start Mozilla.
> > >
> > > Any ideas what I should do?
> > >
> > > Alan
>
>    ,-._|\       Robert Traynor        (BobT)
>  /  Oz  \      email            rtraynor at removeme.optusnet dot com dot au
>  \_,--.x/
>

>  

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sun, 14 Dec 2003 16:28:36 +1000
From:  "Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
Subject:  Re:  Java 1.42

Hi Ed,

Yes and also the Fixed Libc04 version also.
Ed, you are missing the point that Allan first pointed out.

The installation of Mozilla WORKS _without_ the npj2*.dll plugins,
so the Libc and gcc dlls are installed and are working.

My experience is that the Mozilla browser will not work at all
when attempting to use it without the required Libc04.zip
and its enclosed dll files.  It makes no difference wether you
use the original LibC04.zip or the later fixed one.

Allan's and mine own experience is that the browser works ok,
Java script works on ninemsn (for example) but Java 1.44 from
Innotek does not.  Their instructions to copy the npj2*.dll files
is the direct cause of the browser not working.

Delete the npj2*.dll files and the browser is back, working again.

Regards,
Robert Traynor (BobT).
14 December 2003   16:27

On Sun, 14 Dec 2003 15:30:42 +1100, Ed Durrant wrote:

> Robert, did you download and install libc04.zip ???
> 
> Cheers/2
> 
> Ed.
> 
> "Robert Traynor (BobT)" wrote:
> 
> > Hio Ed and Allan,
> >
> > I have installed Mozilla 1.5 THREE times, on 3 machines and tried to get
> > Java 1.42 working exactly like Allan.  ie Copying npj2*.dll
> >
> > I have given up.
> >
> > The Innotek instructions just don't work.
> >
> > Mozilla does work though with Java 1.31 and that's enough for my needs
> > at this point in time.
> >
> > Regards,
> > Robert Traynor (BobT).
> > 14 December 2003   14:43
> >
> > On Sun, 14 Dec 2003 06:57:11 +1100, Ed Durrant wrote:
> > > Hi Alan,
> > >
> > >   It sounds like there's omething wrong with your Mozilla install. You don't mention which version of Mozilla you
> > > have installed, some need an additional (libc.dll) dll to work. Did yoy do a clean install of Mozilla or do you
> > > still have other versions on the system - this can also cause these types of problems.
> > >
> > >   The best place to ask these questions is the warpbrowsers at yahoogroups dot com list.
> > >
> > > Cheers/2
> > >
> > > Ed.
> > >
> > > Alan Duval wrote:
> > >
> > > > On Fri, 12 Dec 2003 20:03:42 +1100, Ed Durrant wrote:
> > > >
> > > > >I have installed this version of JAVA and am using it. NO path statements are required in config.sys as long
> > > > as
> > > > >you refer to the correct directory when running JAVAW.EXE. What is needed in config.sys however is the
> > > > following
> > > > >line:
> > > > >
> > > > >SET JAVA2_USERHOME=c:\java142\bin
> > > > >
> > > > >Which the install procedure should have installed.
> > > >
> > > > It wasn't installed so I put the line in config.sys
> > > >
> > > > I have also followed the following instructions:
> > > >
> > > > 3.1 Java Plug-In Installation
> > > > In order to install support for the Java
> > > > Plug-In in Mozilla for OS/2 or IBM Web Browser
> > > > for OS/2, copy the following files from the
> > > > JRE bin directory to the plugins directory of
> > > > the browser:
> > > >
> > > > - npj2.dll
> > > > - npj2_j11.dll
> > > > - npj2_j12.dll
> > > > - npj2_j13.dll
> > > > - npj2_j14.dll
> > > > - npj2_j32.dll
> > > > - npj2_jpi.dll
> > > >
> > > > 3.2 Java Web Start Browser Configuration
> > > > In order to integrate Java Web Start with your browser,
> > > > you have to register it as a helper application. Due to
> > > > the various browser products and versions available on
> > > > OS/2, this is not done automatically during installation.
> > > >
> > > > In the browser settings, open the helper application
> > > > settings and define a new type. Use the following
> > > > values to define the entry:
> > > >
> > > > Description of type: Java Web Start
> > > > File Extension: jnl jnlp
> > > > MIME type: application/x-java-jnlp-file
> > > > Application to use: <installdir>\jre\javaws\javaws.exe
> > > >
> > > > Note that when installing the JRE, javaws.exe will
> > > > be located at <installdir>\javaws\javaws.exe.
> > > >
> > > >
> > > > However when I try to start Mozilla, the initial screen with start button appears momentarily and then vanishes
> > > > and so Mozilla cannot be started.
> > > > If I remove the 7 files from Mozilla Plugins I can start Mozilla.
> > > >
> > > > Any ideas what I should do?
> > > >
> > > > Alan
> >
> >    ,-._|\       Robert Traynor        (BobT)
> >  /  Oz  \      email            rtraynor at removeme.optusnet dot com dot au
> >  \_,--.x/
> >
> 
> >  
> 
> 

>  

   ,-._|\       Robert Traynor        (BobT)
 /  Oz  \      email            rtraynor at removeme.optusnet dot com dot au
 \_,--.x/ 

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Sun, 14 Dec 2003 17:48:15 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Java 1.42

Well something is different as I am using Innoteks Java 1.4.2 with both Mozilla 1.41 and 1.6b (1.6b isn't so stable for
other reasons, so I don't recommend anyone switching to it yet). I followed the Innotek instructions and it works - I did
however a clean install. I suspect somehow you guys are referencing the wrong version of a DLL.

Cheers/2

Ed.

"Robert Traynor (BobT)" wrote:

> Hi Ed,
>
> Yes and also the Fixed Libc04 version also.
> Ed, you are missing the point that Allan first pointed out.
>
> The installation of Mozilla WORKS _without_ the npj2*.dll plugins,
> so the Libc and gcc dlls are installed and are working.
>
> My experience is that the Mozilla browser will not work at all
> when attempting to use it without the required Libc04.zip
> and its enclosed dll files.  It makes no difference wether you
> use the original LibC04.zip or the later fixed one.
>
> Allan's and mine own experience is that the browser works ok,
> Java script works on ninemsn (for example) but Java 1.44 from
> Innotek does not.  Their instructions to copy the npj2*.dll files
> is the direct cause of the browser not working.
>
> Delete the npj2*.dll files and the browser is back, working again.
>
> Regards,
> Robert Traynor (BobT).
> 14 December 2003   16:27
>
> On Sun, 14 Dec 2003 15:30:42 +1100, Ed Durrant wrote:
>
> > Robert, did you download and install libc04.zip ???
> >
> > Cheers/2
> >
> > Ed.
> >
> > "Robert Traynor (BobT)" wrote:
> >
> > > Hio Ed and Allan,
> > >
> > > I have installed Mozilla 1.5 THREE times, on 3 machines and tried to get
> > > Java 1.42 working exactly like Allan.  ie Copying npj2*.dll
> > >
> > > I have given up.
> > >
> > > The Innotek instructions just don't work.
> > >
> > > Mozilla does work though with Java 1.31 and that's enough for my needs
> > > at this point in time.
> > >
> > > Regards,
> > > Robert Traynor (BobT).
> > > 14 December 2003   14:43
> > >
> > > On Sun, 14 Dec 2003 06:57:11 +1100, Ed Durrant wrote:
> > > > Hi Alan,
> > > >
> > > >   It sounds like there's omething wrong with your Mozilla install. You don't mention which version of Mozilla you
> > > > have installed, some need an additional (libc.dll) dll to work. Did yoy do a clean install of Mozilla or do you
> > > > still have other versions on the system - this can also cause these types of problems.
> > > >
> > > >   The best place to ask these questions is the warpbrowsers at yahoogroups dot com list.
> > > >
> > > > Cheers/2
> > > >
> > > > Ed.
> > > >
> > > > Alan Duval wrote:
> > > >
> > > > > On Fri, 12 Dec 2003 20:03:42 +1100, Ed Durrant wrote:
> > > > >
> > > > > >I have installed this version of JAVA and am using it. NO path statements are required in config.sys as long
> > > > > as
> > > > > >you refer to the correct directory when running JAVAW.EXE. What is needed in config.sys however is the
> > > > > following
> > > > > >line:
> > > > > >
> > > > > >SET JAVA2_USERHOME=c:\java142\bin
> > > > > >
> > > > > >Which the install procedure should have installed.
> > > > >
> > > > > It wasn't installed so I put the line in config.sys
> > > > >
> > > > > I have also followed the following instructions:
> > > > >
> > > > > 3.1 Java Plug-In Installation
> > > > > In order to install support for the Java
> > > > > Plug-In in Mozilla for OS/2 or IBM Web Browser
> > > > > for OS/2, copy the following files from the
> > > > > JRE bin directory to the plugins directory of
> > > > > the browser:
> > > > >
> > > > > - npj2.dll
> > > > > - npj2_j11.dll
> > > > > - npj2_j12.dll
> > > > > - npj2_j13.dll
> > > > > - npj2_j14.dll
> > > > > - npj2_j32.dll
> > > > > - npj2_jpi.dll
> > > > >
> > > > > 3.2 Java Web Start Browser Configuration
> > > > > In order to integrate Java Web Start with your browser,
> > > > > you have to register it as a helper application. Due to
> > > > > the various browser products and versions available on
> > > > > OS/2, this is not done automatically during installation.
> > > > >
> > > > > In the browser settings, open the helper application
> > > > > settings and define a new type. Use the following
> > > > > values to define the entry:
> > > > >
> > > > > Description of type: Java Web Start
> > > > > File Extension: jnl jnlp
> > > > > MIME type: application/x-java-jnlp-file
> > > > > Application to use: <installdir>\jre\javaws\javaws.exe
> > > > >
> > > > > Note that when installing the JRE, javaws.exe will
> > > > > be located at <installdir>\javaws\javaws.exe.
> > > > >
> > > > >
> > > > > However when I try to start Mozilla, the initial screen with start button appears momentarily and then vanishes
> > > > > and so Mozilla cannot be started.
> > > > > If I remove the 7 files from Mozilla Plugins I can start Mozilla.
> > > > >
> > > > > Any ideas what I should do?
> > > > >
> > > > > Alan
> > >
> > >    ,-._|\       Robert Traynor        (BobT)
> > >  /  Oz  \      email            rtraynor at removeme.optusnet dot com dot au
> > >  \_,--.x/
> > >

> > >  

> >
> 
> >  
> 
>
>    ,-._|\       Robert Traynor        (BobT)
>  /  Oz  \      email            rtraynor at removeme.optusnet dot com dot au
>  \_,--.x/
>

>  

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Sun, 14 Dec 2003 22:15:31 +1100 (AEDT)
From:  "Alan Duval" <amoht at ozemail dot com dot au>
Subject:  Re:  Java 1.42

On Sun, 14 Dec 2003 16:28:36 +1000, Robert Traynor  (BobT) wrote:

>Hi Ed,
>
>Yes and also the Fixed Libc04 version also.
>Ed, you are missing the point that Allan first pointed out.
>
>The installation of Mozilla WORKS _without_ the npj2*.dll plugins,
>so the Libc and gcc dlls are installed and are working.
>
>My experience is that the Mozilla browser will not work at all
>when attempting to use it without the required Libc04.zip
>and its enclosed dll files.  It makes no difference wether you
>use the original LibC04.zip or the later fixed one.
>
>Allan's and mine own experience is that the browser works ok,
>Java script works on ninemsn (for example) but Java 1.44 from
>Innotek does not.  Their instructions to copy the npj2*.dll files
>is the direct cause of the browser not working.
>
>Delete the npj2*.dll files and the browser is back, working again.

That's my experience also.  I do note that when the npj2* files are first copied that I can start Mozilla 1.4 but 
when rebooted I can't get past the Mozilla start screen which vanishes quickly. 
As the browser works without these files is the Java142 installation performing any function?
If not should I uninstall it?
If yes, can I do this by draging it's icon to the Unimaint uninstaller?

Alan

----------------------------------------------------------------------------------